<!DOCTYPE html>
<html prefix="dc: http://purl.org/dc/terms/ mw: http://mediawiki.org/rdf/" about="http://dev.wiki.local.wmftest.net:8080/w/index.php/Special:Redirect/revision/8"><head>
<meta http-equiv="content-type" content="text/html; charset=UTF-8"></head><body id="mwAA" class="mw-content-ltr sitedir-ltr ltr mw-body-content parsoid-body mediawiki mw-parser-output" dir="ltr" lang="en"><!-- Variant conversion performed using the core LanguageConverter -->
<meta charset="utf-8"><meta property="mw:pageId" content="2"><meta property="mw:pageNamespace" content="0"><link rel="dc:replaces" resource="mwr:revision/7"><meta property="mw:revisionSHA1" content="8ed6581c3c5ddc83401921a8b922e2d44f8317e4"><meta property="dc:modified" content="2023-04-03T12:16:13.000Z"><meta property="mw:htmlVersion" content="2.7.0"><meta property="mw:html:version" content="2.7.0"><link rel="dc:isVersionOf" href="http://dev.wiki.local.wmftest.net:8080/w/index.php/Cite"><!-- base href="http://dev.wiki.local.wmftest.net:8080/w/index.php/" --><title>Cite</title><meta property="mw:moduleStyles" content="ext.cite.style|ext.cite.styles"><link rel="stylesheet" href="Cite_files/load.css"><meta http-equiv="content-language" content="en"><meta http-equiv="vary" content="Accept, Accept-Language"><section data-mw-section-id="0" id="mwAQ"></section><section data-mw-section-id="1" id="mwAg"><h2 id="Bare">Bare</h2>
<p id="mwAw"><sup about="#mwt2" class="mw-ref reference" id="cite_ref-1" rel="dc:references" typeof="mw:Extension/ref" data-mw="{&quot;name&quot;:&quot;ref&quot;,&quot;attrs&quot;:{},&quot;body&quot;:{&quot;id&quot;:&quot;mw-reference-text-cite_note-1&quot;}}"><a href="http://dev.wiki.local.wmftest.net:8080/w/index.php/Cite#cite_note-1" style="counter-reset: mw-Ref 1;" id="mwBA"><span class="mw-reflink-text" id="mwBQ">[1]</span></a></sup></p>

</section><section data-mw-section-id="2" id="mwBg"><h2 id="Named_and_defined_in_the_article">Named and defined in the article</h2>
<p id="mwBw"><sup about="#mwt4" class="mw-ref reference" id="cite_ref-foo1_2-0" rel="dc:references" typeof="mw:Extension/ref" data-mw="{&quot;name&quot;:&quot;ref&quot;,&quot;attrs&quot;:{&quot;name&quot;:&quot;foo1&quot;},&quot;body&quot;:{&quot;id&quot;:&quot;mw-reference-text-cite_note-foo1-2&quot;}}"><a href="http://dev.wiki.local.wmftest.net:8080/w/index.php/Cite#cite_note-foo1-2" style="counter-reset: mw-Ref 2;" id="mwCA"><span class="mw-reflink-text" id="mwCQ">[2]</span></a></sup></p>

</section><section data-mw-section-id="3" id="mwCg"><h2 id="Reuse">Reuse</h2>
<p id="mwCw"><sup about="#mwt6" class="mw-ref reference" id="cite_ref-foo1_2-1" rel="dc:references" typeof="mw:Extension/ref" data-mw="{&quot;name&quot;:&quot;ref&quot;,&quot;attrs&quot;:{&quot;name&quot;:&quot;foo1&quot;}}"><a href="http://dev.wiki.local.wmftest.net:8080/w/index.php/Cite#cite_note-foo1-2" style="counter-reset: mw-Ref 2;" id="mwDA"><span class="mw-reflink-text" id="mwDQ">[2]</span></a></sup></p>

</section><section data-mw-section-id="4" id="mwDg"><h2 id="Reuse_with_exact_duplication">Reuse with exact duplication</h2>
<p id="mwDw"><sup about="#mwt8" class="mw-ref reference" id="cite_ref-foo2_3-0" rel="dc:references" typeof="mw:Extension/ref" data-mw="{&quot;name&quot;:&quot;ref&quot;,&quot;attrs&quot;:{&quot;name&quot;:&quot;foo2&quot;},&quot;body&quot;:{&quot;id&quot;:&quot;mw-reference-text-cite_note-foo2-3&quot;}}"><a href="http://dev.wiki.local.wmftest.net:8080/w/index.php/Cite#cite_note-foo2-3" style="counter-reset: mw-Ref 3;" id="mwEA"><span class="mw-reflink-text" id="mwEQ">[3]</span></a></sup></p>

<p id="mwEg"><sup about="#mwt10" class="mw-ref reference" id="cite_ref-foo2_3-1" rel="dc:references" typeof="mw:Extension/ref" data-mw="{&quot;name&quot;:&quot;ref&quot;,&quot;attrs&quot;:{&quot;name&quot;:&quot;foo2&quot;},&quot;body&quot;:{&quot;id&quot;:&quot;mw-reference-text-cite_note-foo2-3&quot;}}"><a href="http://dev.wiki.local.wmftest.net:8080/w/index.php/Cite#cite_note-foo2-3" style="counter-reset: mw-Ref 3;" id="mwEw"><span class="mw-reflink-text" id="mwFA">[3]</span></a></sup></p>

</section><section data-mw-section-id="5" id="mwFQ"><h2 id="Second_group">Second group</h2>
<p id="mwFg"><sup about="#mwt12" class="mw-ref reference" id="cite_ref-4" rel="dc:references" typeof="mw:Extension/ref" data-mw="{&quot;name&quot;:&quot;ref&quot;,&quot;attrs&quot;:{&quot;group&quot;:&quot;group2&quot;},&quot;body&quot;:{&quot;id&quot;:&quot;mw-reference-text-cite_note-4&quot;}}"><a href="http://dev.wiki.local.wmftest.net:8080/w/index.php/Cite#cite_note-4" style="counter-reset: mw-Ref 1;" data-mw-group="group2" id="mwFw"><span class="mw-reflink-text" id="mwGA">[group2 1]</span></a></sup></p>

</section><section data-mw-section-id="6" id="mwGQ"><h2 id="Ref_from_template">Ref from template</h2>
<p id="mwGg"><sup about="#mwt13" class="mw-ref reference" id="cite_ref-5" rel="dc:references" typeof="mw:Transclusion mw:Extension/ref" data-mw="{&quot;parts&quot;:[{&quot;template&quot;:{&quot;target&quot;:{&quot;wt&quot;:&quot;RefA&quot;,&quot;href&quot;:&quot;./Template:RefA&quot;},&quot;params&quot;:{},&quot;i&quot;:0}}]}"><a href="http://dev.wiki.local.wmftest.net:8080/w/index.php/Cite#cite_note-5" style="counter-reset: mw-Ref 4;" id="mwGw"><span class="mw-reflink-text" id="mwHA">[4]</span></a></sup></p>

</section><section data-mw-section-id="7" id="mwHQ"><h2 id="Ref_from_nested_template">Ref from nested template</h2>
<p id="mwHg"><sup about="#mwt16" class="mw-ref reference" id="cite_ref-6" rel="dc:references" typeof="mw:Transclusion mw:Extension/ref" data-mw="{&quot;parts&quot;:[{&quot;template&quot;:{&quot;target&quot;:{&quot;wt&quot;:&quot;RefB&quot;,&quot;href&quot;:&quot;./Template:RefB&quot;},&quot;params&quot;:{},&quot;i&quot;:0}}]}"><a href="http://dev.wiki.local.wmftest.net:8080/w/index.php/Cite#cite_note-6" style="counter-reset: mw-Ref 5;" id="mwHw"><span class="mw-reflink-text" id="mwIA">[5]</span></a></sup></p>

</section><section data-mw-section-id="8" id="mwIQ"><h2 id="Ref_from_multi-part_template">Ref from multi-part template</h2>
<p about="#mwt45" typeof="mw:Transclusion" id="mwIg" data-mw="{&quot;parts&quot;:[&quot;{|\n&quot;,{&quot;template&quot;:{&quot;target&quot;:{&quot;wt&quot;:&quot;RefA&quot;,&quot;href&quot;:&quot;./Template:RefA&quot;},&quot;params&quot;:{},&quot;i&quot;:0}},&quot;\n&quot;,{&quot;template&quot;:{&quot;target&quot;:{&quot;wt&quot;:&quot;RefB&quot;,&quot;href&quot;:&quot;./Template:RefB&quot;},&quot;params&quot;:{},&quot;i&quot;:1}},&quot;\n|}&quot;]}"><sup about="#mwt21" class="mw-ref reference" id="cite_ref-7" rel="dc:references" typeof="mw:Extension/ref" data-mw="{&quot;name&quot;:&quot;ref&quot;,&quot;attrs&quot;:{},&quot;body&quot;:{&quot;id&quot;:&quot;mw-reference-text-cite_note-7&quot;}}"><a href="http://dev.wiki.local.wmftest.net:8080/w/index.php/Cite#cite_note-7" style="counter-reset: mw-Ref 6;" id="mwIw"><span class="mw-reflink-text" id="mwJA">[6]</span></a></sup><sup about="#mwt24" class="mw-ref reference" id="cite_ref-8" rel="dc:references" typeof="mw:Extension/ref" data-mw="{&quot;name&quot;:&quot;ref&quot;,&quot;attrs&quot;:{},&quot;body&quot;:{&quot;id&quot;:&quot;mw-reference-text-cite_note-8&quot;}}"><a href="http://dev.wiki.local.wmftest.net:8080/w/index.php/Cite#cite_note-8" style="counter-reset: mw-Ref 7;" id="mwJQ"><span class="mw-reflink-text" id="mwJg">[7]</span></a></sup></p><table about="#mwt45">


</table>

</section><section data-mw-section-id="9" id="mwJw"><h1 id="Errors">Errors</h1>

<section data-mw-section-id="10" id="mwKA"><h2 id="Broken_reuse_with_conflict">Broken reuse with conflict</h2>
<p id="mwKQ"><sup about="#mwt26" class="mw-ref reference" id="cite_ref-reuse-conflict_9-0" rel="dc:references" typeof="mw:Extension/ref" data-mw="{&quot;name&quot;:&quot;ref&quot;,&quot;attrs&quot;:{&quot;name&quot;:&quot;reuse-conflict&quot;},&quot;body&quot;:{&quot;id&quot;:&quot;mw-reference-text-cite_note-reuse-conflict-9&quot;}}"><a href="http://dev.wiki.local.wmftest.net:8080/w/index.php/Cite#cite_note-reuse-conflict-9" style="counter-reset: mw-Ref 8;" id="mwKg"><span class="mw-reflink-text" id="mwKw">[8]</span></a></sup></p>

<p id="mwLA"><sup about="#mwt28" class="mw-ref reference" id="cite_ref-reuse-conflict_9-1" rel="dc:references" typeof="mw:Extension/ref mw:Error" data-mw="{&quot;name&quot;:&quot;ref&quot;,&quot;attrs&quot;:{&quot;name&quot;:&quot;reuse-conflict&quot;},&quot;body&quot;:{&quot;html&quot;:&quot;Conflicting reuse&quot;},&quot;errors&quot;:[{&quot;key&quot;:&quot;cite_error_references_duplicate_key&quot;,&quot;params&quot;:[&quot;reuse-conflict&quot;]}]}"><a href="http://dev.wiki.local.wmftest.net:8080/w/index.php/Cite#cite_note-reuse-conflict-9" style="counter-reset: mw-Ref 8;" id="mwLQ"><span class="mw-reflink-text" id="mwLg">[8]</span></a></sup></p>

</section><section data-mw-section-id="11" id="mwLw"><h2 id="Broken_reuse_because_of_bad_name">Broken reuse because of bad name</h2>
<p id="mwMA"><sup about="#mwt30" class="mw-ref reference" id="cite_ref-bad-name_10-0" rel="dc:references" typeof="mw:Extension/ref mw:Error" data-mw="{&quot;name&quot;:&quot;ref&quot;,&quot;attrs&quot;:{&quot;name&quot;:&quot;bad-name&quot;},&quot;errors&quot;:[{&quot;key&quot;:&quot;cite_error_references_no_text&quot;}]}"><a href="http://dev.wiki.local.wmftest.net:8080/w/index.php/Cite#cite_note-bad-name-10" style="counter-reset: mw-Ref 9;" id="mwMQ"><span class="mw-reflink-text" id="mwMg">[9]</span></a></sup></p>

</section></section><section data-mw-section-id="12" id="mwMw"><h1 id="Reference_lists">Reference lists</h1>

<section data-mw-section-id="13" id="mwNA"><h2 id="Reference_from_LDR">Reference from LDR</h2>
<p id="mwNQ"><sup about="#mwt32" class="mw-ref reference" id="cite_ref-ldr1_11-0" rel="dc:references" typeof="mw:Extension/ref" data-mw="{&quot;name&quot;:&quot;ref&quot;,&quot;attrs&quot;:{&quot;group&quot;:&quot;group3&quot;,&quot;name&quot;:&quot;ldr1&quot;}}"><a href="http://dev.wiki.local.wmftest.net:8080/w/index.php/Cite#cite_note-ldr1-11" style="counter-reset: mw-Ref 1;" data-mw-group="group3" id="mwNg"><span class="mw-reflink-text" id="mwNw">[group3 1]</span></a></sup></p>

</section><section data-mw-section-id="14" id="mwOA"><h2 id="Refs_with_same_name_but_different_groups">Refs with same name but different groups</h2>
<p id="mwOQ"><sup about="#mwt34" class="mw-ref reference" id="cite_ref-foo3_12-0" rel="dc:references" typeof="mw:Extension/ref" data-mw="{&quot;name&quot;:&quot;ref&quot;,&quot;attrs&quot;:{&quot;name&quot;:&quot;foo3&quot;},&quot;body&quot;:{&quot;id&quot;:&quot;mw-reference-text-cite_note-foo3-12&quot;}}"><a href="http://dev.wiki.local.wmftest.net:8080/w/index.php/Cite#cite_note-foo3-12" style="counter-reset: mw-Ref 10;" id="mwOg"><span class="mw-reflink-text" id="mwOw">[10]</span></a></sup>
<sup about="#mwt36" class="mw-ref reference" id="cite_ref-foo3_13-0" rel="dc:references" typeof="mw:Extension/ref" data-mw="{&quot;name&quot;:&quot;ref&quot;,&quot;attrs&quot;:{&quot;group&quot;:&quot;group2&quot;,&quot;name&quot;:&quot;foo3&quot;},&quot;body&quot;:{&quot;id&quot;:&quot;mw-reference-text-cite_note-foo3-13&quot;}}"><a href="http://dev.wiki.local.wmftest.net:8080/w/index.php/Cite#cite_note-foo3-13" style="counter-reset: mw-Ref 2;" data-mw-group="group2" id="mwPA"><span class="mw-reflink-text" id="mwPQ">[group2 2]</span></a></sup></p>

</section><section data-mw-section-id="15" id="mwPg"><h2 id="Reflist_for_second_group">Reflist for second group</h2>
<div class="mw-references-wrap" typeof="mw:Extension/references" about="#mwt38" id="mwPw" data-mw="{&quot;name&quot;:&quot;references&quot;,&quot;attrs&quot;:{&quot;group&quot;:&quot;group2&quot;}}"><ol class="mw-references references" data-mw-group="group2" id="mwQA"><li about="#cite_note-4" id="cite_note-4"><a href="http://dev.wiki.local.wmftest.net:8080/w/index.php/Cite#cite_ref-4" data-mw-group="group2" rel="mw:referencedBy" id="mwQQ"><span class="mw-linkback-text" id="mwQg">↑ </span></a> <span id="mw-reference-text-cite_note-4" class="mw-reference-text">Ref for another group</span></li><li about="#cite_note-foo3-13" id="cite_note-foo3-13"><a href="http://dev.wiki.local.wmftest.net:8080/w/index.php/Cite#cite_ref-foo3_13-0" data-mw-group="group2" rel="mw:referencedBy" id="mwQw"><span class="mw-linkback-text" id="mwRA">↑ </span></a> <span id="mw-reference-text-cite_note-foo3-13" class="mw-reference-text">Group2 "foo3"</span></li></ol></div>

</section><section data-mw-section-id="16" id="mwRQ"><h2 id="Reflist_with_list-defined_references">Reflist with list-defined references</h2>
<div class="mw-references-wrap" typeof="mw:Extension/references" about="#mwt44" id="mwRg" data-mw="{&quot;name&quot;:&quot;references&quot;,&quot;attrs&quot;:{&quot;group&quot;:&quot;group3&quot;},&quot;body&quot;:{&quot;html&quot;:&quot;\n&lt;sup about=\&quot;#mwt42\&quot; class=\&quot;mw-ref reference\&quot; rel=\&quot;dc:references\&quot; typeof=\&quot;mw:Extension/ref\&quot; data-parsoid='{\&quot;dsr\&quot;:[1026,1057,17,6]}' data-mw='{\&quot;name\&quot;:\&quot;ref\&quot;,\&quot;attrs\&quot;:{\&quot;name\&quot;:\&quot;ldr1\&quot;},\&quot;body\&quot;:{\&quot;id\&quot;:\&quot;mw-reference-text-cite_note-ldr1-11\&quot;}}'&gt;&lt;a href=\&quot;./Cite#cite_note-ldr1-11\&quot; style=\&quot;counter-reset: mw-Ref 1;\&quot; data-mw-group=\&quot;group3\&quot; data-parsoid=\&quot;{}\&quot;&gt;&lt;span class=\&quot;mw-reflink-text\&quot; data-parsoid=\&quot;{}\&quot;&gt;[group3 1]&lt;/span&gt;&lt;/a&gt;&lt;/sup&gt;\n&lt;sup about=\&quot;#mwt43\&quot; class=\&quot;mw-ref reference\&quot; rel=\&quot;dc:references\&quot; typeof=\&quot;mw:Extension/ref mw:Error\&quot; data-parsoid='{\&quot;dsr\&quot;:[1058,1093,23,6]}' data-mw='{\&quot;name\&quot;:\&quot;ref\&quot;,\&quot;attrs\&quot;:{\&quot;name\&quot;:\&quot;ldr-unused\&quot;},\&quot;body\&quot;:{\&quot;id\&quot;:\&quot;mw-reference-text-cite_note-ldr-unused-14\&quot;},\&quot;errors\&quot;:[{\&quot;key\&quot;:\&quot;cite_error_references_missing_key\&quot;,\&quot;params\&quot;:[\&quot;ldr-unused\&quot;]}]}'&gt;&lt;a href=\&quot;./Cite#cite_note-ldr-unused-14\&quot; style=\&quot;counter-reset: mw-Ref 2;\&quot; data-mw-group=\&quot;group3\&quot; data-parsoid=\&quot;{}\&quot;&gt;&lt;span class=\&quot;mw-reflink-text\&quot; data-parsoid=\&quot;{}\&quot;&gt;[group3 2]&lt;/span&gt;&lt;/a&gt;&lt;/sup&gt;\n&quot;}}"><ol class="mw-references references" data-mw-group="group3" id="mwRw"><li about="#cite_note-ldr1-11" id="cite_note-ldr1-11"><a href="http://dev.wiki.local.wmftest.net:8080/w/index.php/Cite#cite_ref-ldr1_11-0" data-mw-group="group3" rel="mw:referencedBy" id="mwSA"><span class="mw-linkback-text" id="mwSQ">↑ </span></a> <span id="mw-reference-text-cite_note-ldr1-11" class="mw-reference-text">In group</span></li><li about="#cite_note-ldr-unused-14" id="cite_note-ldr-unused-14"><span rel="mw:referencedBy" id="mwSg"></span> <span id="mw-reference-text-cite_note-ldr-unused-14" class="mw-reference-text">Unused</span></li></ol></div>

</section><section data-mw-section-id="17" id="mwSw"><h2 id="Implicit_reflist">Implicit reflist</h2>
<div class="mw-references-wrap" typeof="mw:Extension/references" about="#mwt46" id="mwTA" data-mw="{&quot;name&quot;:&quot;references&quot;,&quot;attrs&quot;:{},&quot;autoGenerated&quot;:true}"><ol class="mw-references references" id="mwTQ"><li about="#cite_note-1" id="cite_note-1"><a href="http://dev.wiki.local.wmftest.net:8080/w/index.php/Cite#cite_ref-1" rel="mw:referencedBy" id="mwTg"><span class="mw-linkback-text" id="mwTw">↑ </span></a> <span id="mw-reference-text-cite_note-1" class="mw-reference-text">Bare</span></li><li about="#cite_note-foo1-2" id="cite_note-foo1-2"><span rel="mw:referencedBy" id="mwUA"><a href="http://dev.wiki.local.wmftest.net:8080/w/index.php/Cite#cite_ref-foo1_2-0" id="mwUQ"><span class="mw-linkback-text" id="mwUg">1 </span></a><a href="http://dev.wiki.local.wmftest.net:8080/w/index.php/Cite#cite_ref-foo1_2-1" id="mwUw"><span class="mw-linkback-text" id="mwVA">2 </span></a></span> <span id="mw-reference-text-cite_note-foo1-2" class="mw-reference-text">Named and defined in the article</span></li><li about="#cite_note-foo2-3" id="cite_note-foo2-3"><span rel="mw:referencedBy" id="mwVQ"><a href="http://dev.wiki.local.wmftest.net:8080/w/index.php/Cite#cite_ref-foo2_3-0" id="mwVg"><span class="mw-linkback-text" id="mwVw">1 </span></a><a href="http://dev.wiki.local.wmftest.net:8080/w/index.php/Cite#cite_ref-foo2_3-1" id="mwWA"><span class="mw-linkback-text" id="mwWQ">2 </span></a></span> <span id="mw-reference-text-cite_note-foo2-3" class="mw-reference-text">Identical</span></li><li about="#cite_note-5" id="cite_note-5"><a href="http://dev.wiki.local.wmftest.net:8080/w/index.php/Cite#cite_ref-5" rel="mw:referencedBy" id="mwWg"><span class="mw-linkback-text" id="mwWw">↑ </span></a> <span id="mw-reference-text-cite_note-5" class="mw-reference-text">Produced by a template</span></li><li about="#cite_note-6" id="cite_note-6"><a href="http://dev.wiki.local.wmftest.net:8080/w/index.php/Cite#cite_ref-6" rel="mw:referencedBy" id="mwXA"><span class="mw-linkback-text" id="mwXQ">↑ </span></a> <span id="mw-reference-text-cite_note-6" class="mw-reference-text">Produced by a nested template</span></li><li about="#cite_note-7" id="cite_note-7"><a href="http://dev.wiki.local.wmftest.net:8080/w/index.php/Cite#cite_ref-7" rel="mw:referencedBy" id="mwXg"><span class="mw-linkback-text" id="mwXw">↑ </span></a> <span id="mw-reference-text-cite_note-7" class="mw-reference-text">Produced by a template</span></li><li about="#cite_note-8" id="cite_note-8"><a href="http://dev.wiki.local.wmftest.net:8080/w/index.php/Cite#cite_ref-8" rel="mw:referencedBy" id="mwYA"><span class="mw-linkback-text" id="mwYQ">↑ </span></a> <span id="mw-reference-text-cite_note-8" class="mw-reference-text">Produced by a nested template 2</span></li><li about="#cite_note-reuse-conflict-9" id="cite_note-reuse-conflict-9"><span rel="mw:referencedBy" id="mwYg"><a href="http://dev.wiki.local.wmftest.net:8080/w/index.php/Cite#cite_ref-reuse-conflict_9-0" id="mwYw"><span class="mw-linkback-text" id="mwZA">1 </span></a><a href="http://dev.wiki.local.wmftest.net:8080/w/index.php/Cite#cite_ref-reuse-conflict_9-1" id="mwZQ"><span class="mw-linkback-text" id="mwZg">2 </span></a></span> <span id="mw-reference-text-cite_note-reuse-conflict-9" class="mw-reference-text">Original</span></li><li about="#cite_note-bad-name-10" id="cite_note-bad-name-10"><a href="http://dev.wiki.local.wmftest.net:8080/w/index.php/Cite#cite_ref-bad-name_10-0" rel="mw:referencedBy" id="mwZw"><span class="mw-linkback-text" id="mwaA">↑ </span></a> <span id="mw-reference-text-cite_note-bad-name-10" class="mw-reference-text"></span></li><li about="#cite_note-foo3-12" id="cite_note-foo3-12"><a href="http://dev.wiki.local.wmftest.net:8080/w/index.php/Cite#cite_ref-foo3_12-0" rel="mw:referencedBy" id="mwaQ"><span class="mw-linkback-text" id="mwag">↑ </span></a> <span id="mw-reference-text-cite_note-foo3-12" class="mw-reference-text">Default group "foo3"</span></li></ol></div></section></section></body></html>
